Get subscriptions
curl --request GET \
--url https://api.nevua.markets/subscriptions/{watchlistId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nevua.markets/subscriptions/{watchlistId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nevua.markets/subscriptions/{watchlistId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subscriptions": [
{
"subscriptionId": "507f191e810c19729de860ea",
"watchlistId": "507f191e810c19729de860eb",
"watchlistName": "My Watchlist",
"subscriptionScope": "Watchlist",
"subscriptionTypeConfig": {
"type": "Crossing",
"config": {
"params": {
"threshold_percent": 50
}
}
},
"createdAt": "2023-01-01T00:00:00Z",
"expiresAt": null,
"status": {
"enabled": true,
"reason": "Created"
},
"triggerType": "Recurring",
"triggerInterval": "30m",
"triggerCount": 0,
"lastTriggeredAt": null,
"channels": [
{
"type": "Webhook",
"settings": {
"webhookUrl": "https://example.com/webhook"
}
}
]
}
]
}
Alerts
Get subscriptions
Fetch all subscriptions for the authenticated user. If a watchlistId is provided, only subscriptions for that specific watchlist are returned.
GET
/
subscriptions
/
{watchlistId}
Get subscriptions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Optional watchlist ID to filter subscriptions. If not provided, returns all user subscriptions.
Response
Subscriptions retrieved successfully
Show child attributes
Show child attributes
Was this page helpful?